import { AnnotationLayer } from "./AnnotationLayer";
import { Brush } from "igniteui-react-core";
import { Series } from "./Series";
import { Thickness } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { CrosshairLayerFrame } from "./CrosshairLayerFrame";
import { List$1 } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Path } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class CrosshairLayer extends AnnotationLayer {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    protected ng: CrosshairLayerView;
    pk: Brush;
    pl: Brush;
    nh: Series;
    nm: boolean;
    nk: boolean;
    xAxisAnnotationFormatLabel: (item: any) => string;
    ni(): boolean;
    yAxisAnnotationFormatLabel: (item: any) => string;
    nj(): boolean;
    po: Brush;
    pm: Brush;
    nz: number;
    pn: Brush;
    readonly ps: Thickness;
    nq: number;
    ns: number;
    nr: number;
    np: number;
    readonly pt: Thickness;
    nv: number;
    nx: number;
    nw: number;
    nu: number;
    nt: number;
    pr: Brush;
    pp: Brush;
    n0: number;
    pq: Brush;
    ny: number;
    pv: Visibility;
    pu: Visibility;
    nl: boolean;
    protected mv(a: Series, b: boolean): void;
    protected mx(a: Frame, b: SeriesView): void;
    protected mi(a: Series): boolean;
    iw(): void;
    private os;
    private no;
    private nn;
    protected ot(a: CrosshairLayerFrame, b: boolean): void;
    private or;
    protected m0(a: Frame, b: SeriesView): void;
    protected c8(): boolean;
    protected i7(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CrosshairLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: CrosshairLayer);
    protected b1: CrosshairLayer;
    b2: Pool$1<Path>;
    protected b3: List$1<Path>;
    ap(): void;
    private b9;
    private b4;
    private b6;
    private b5;
    b7(a: Path, b: number, c: number, d: number): void;
    b8(a: Brush): Brush;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
